Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153150 - NFS mounts using options fail
Summary: NFS mounts using options fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 20:52 UTC by David Pullman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: util-linux-2.12p-9.10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-08 10:44:36 UTC


Attachments (Terms of Use)

Description David Pullman 2005-04-01 20:52:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The recently release util-linux-2.12-19 breaks NFS mounting when options are used.  This had previously been reported as fixed in bug 122448.  In that bug in #13 there is a patch that works with nfsmount.c.

We use NIS maps for automouter for Solaris and Linux hosts.  The option -quota causes the mount to fail.

I confirmed that rebuilding 2.12-19 with the one line patch fixes the symptom.

Version-Release number of selected component (if applicable):
util-linux-2.12-19

How reproducible:
Always

Steps to Reproduce:
1.  Use either automounter with option -quota specified or use manually


Actual Results:  Mount fails with log:
Apr  1 14:03:52 mizzen automount[26660]: >> Unsupported nfs mount option: quota
Apr  1 14:03:52 mizzen automount[26660]: mount(nfs): nfs: mount failure meles1:/meles1/home_mel on /home/mel
Apr  1 14:03:52 mizzen automount[26660]: failed to mount /home/mel
  

Expected Results:  A successful mount

Additional info:

Comment 1 Karel Zak 2005-04-18 13:20:51 UTC
The command "mount -s -o quota" works fine for me. I think you have to call "-o
quota" instead "-quota". Please, check options in your auto.master file and try
test mount command manually. 



Comment 2 David Pullman 2005-09-08 15:21:23 UTC
I don't mind this being closed, but it is obvious that you didn't read the bug
report.  Telling me to check the auto.master file when I said we use NIS maps is
not useful.  In addition, the changes to the nfsmount.c code were made
downstream from the source developer, as I verified by contacting him directly.

This is just a matter of making an arbitrary change to code without complete
testing.  And the issue was addressed in the previous bug report with a patch
that I pointed out.  It just needs to be put in the current version of nfsmount.c

--
David Pullman

Comment 3 Karel Zak 2005-09-09 11:11:24 UTC
Sorry for misunderstanding. You're right. The problem has been fixed in FC3 and
FC4. FC2 is pretty old and officialy unsupported.

I don't think that it's security or critical bug. If you have different opinion
you can reopen it and reassign to bugs@fedoralegacy.org (see
http://fedoralegacy.org)

I think you should upgrade to FC3 or FC4.


Note You need to log in before you can comment on or make changes to this bug.